Package icyllis.modernui.graphics

# Class BlendModeColorFilter

java.lang.Object
icyllis.modernui.graphics.ColorFilter
icyllis.modernui.graphics.BlendModeColorFilter

public final class BlendModeColorFilter extends ColorFilter
A color filter that can be used to tint the source pixels using a single color and a specific `BlendMode`.

Since:
  3.11

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlendModeColorFilter(float[] color, ColorSpace colorSpace, BlendMode mode)`
  `BlendModeColorFilter(float r, float g, float b, float a, ColorSpace colorSpace, BlendMode mode)`
  `BlendModeColorFilter(float r, float g, float b, float a, BlendMode mode)`
  Blend color is non-premultiplied and in sRGB space.
  `BlendModeColorFilter(int color, BlendMode mode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColor()`
  `float[]`
  `getColor4f()`
  `float[]`
  `getColor4f(float[] dst)`
  `BlendMode`
  `getMode()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BlendModeColorFilter

    public BlendModeColorFilter(@ColorInt int color, @NonNull BlendMode mode)

  - ### BlendModeColorFilter

    public BlendModeColorFilter(@NonNull @Size(4L) float[] color, @Nullable ColorSpace colorSpace, @NonNull BlendMode mode)

  - ### BlendModeColorFilter

    public BlendModeColorFilter(float r, float g, float b, float a, @NonNull BlendMode mode)
    Blend color is non-premultiplied and in sRGB space.

  - ### BlendModeColorFilter

    public BlendModeColorFilter(float r, float g, float b, float a, @Nullable ColorSpace colorSpace, @NonNull BlendMode mode)

- ## Method Details

  - ### getColor

    public int getColor()

  - ### getColor4f

    @NonNull public float[] getColor4f()

  - ### getColor4f

    @NonNull public float[] getColor4f(@NonNull @Size(4L) float[] dst)

  - ### getMode

    @NonNull public BlendMode getMode()